%define _name timerapplet
%define _name2 timer-applet
%define ver_major 2.0

Name: gnome-applets-extra-timer
Version: %ver_major.1
Release: alt2

Summary: GNOME Timer Applet
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://downloads.sourceforge.net/%_name/%_name2-%version.tar.gz

Requires: gnome-panel

# From the project web page
Requires: python-module-elementtree
Requires: python-module-pygtk >= 2.10
Requires: python-module-pygnome >= 2.16
Requires: python-module-pygnome-desktop >= 2.16
Requires: python-module-pygtk-libglade >= 2.10
Requires: notify-python >= 0.1
Requires: python-module-dbus >= 0.80

BuildPreReq: rpm-build-gnome >= 0.5

# From configure.ac
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libGConf-devel GConf
# We need distutils
BuildPreReq: python-devel

%description
Timer Applet is a countdown timer applet for the GNOME panel.

%prep
%setup -q -n %_name2-%version

%define _libexecdir %gnome_appletsdir

%build
%configure --disable-schemas-install
%make_build pkglibdir=%gnome_appletsdir

%install
%make_install DESTDIR=%buildroot pkglibdir=%gnome_appletsdir install

%find_lang --with-gnome %_name2

%post
%gconf2_install %_name2
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name2.lang
%gnome_appletsdir/%_name2
%bonobo_serversdir/*
%dir %python_sitelibdir/%_name
%python_sitelibdir/%_name/*.py*
%dir %python_sitelibdir/%_name/controllers
%dir %python_sitelibdir/%_name/core
%dir %python_sitelibdir/%_name/ui
%python_sitelibdir/%_name/*/*.py*
%dir %_datadir/%_name2
%_datadir/%_name2/*.xml
%_datadir/%_name2/*.glade
%_pixmapsdir/%_name2.png
%config %gconf_schemasdir/*.schemas
%doc AUTHORS README ChangeLog NEWS

%changelog
* Sun Sep 09 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.1-alt2
- fixed building on x86_64

* Sun Jul 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.1-alt1
- new version (2.0.1)
- spec overhauled due to the program rewrite in Python.
- use macros from rpm-build-gnome
- moved the applet binary to the common GNOME applets location

* Mon May 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt2
- moved the applet file to %%_libexecdir/gnome-applets.

* Tue Apr 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt1
- new version (1.2)
- spec cleanup, dependencies updated

* Sun Apr 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Mar 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- First build for Sisyphus.

